summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/certbot-apache/certbot-apache-0.32.0.ebuild')
-rw-r--r--app-crypt/certbot-apache/certbot-apache-0.32.0.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/app-crypt/certbot-apache/certbot-apache-0.32.0.ebuild b/app-crypt/certbot-apache/certbot-apache-0.32.0.ebuild
new file mode 100644
index 00000000000..b6c158fb2f5
--- /dev/null
+++ b/app-crypt/certbot-apache/certbot-apache-0.32.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+
+if [[ ${PV} == 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/certbot/certbot.git"
+ inherit git-r3
+ S=${WORKDIR}/${P}/${PN}
+else
+ SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+ S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+RDEPEND=">=app-crypt/certbot-0.26.0[${PYTHON_USEDEP}]
+ >=app-crypt/acme-0.25.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/python-augeas[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}] )
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ nosetests || die
+}